#####################################
#           Security                #
#####################################

App\Entity\Security\Company:
    dataTable: true
    translations:
        singular:
            fr: "Entreprise"
            en: 'Company'
        plural:
            fr: "Entreprises"
            en: 'Companies'
        add:
            fr: 'Ajouter une entreprise'
            en: 'Add company'
        name:
            fr: "Nom de l'entreprise"
            en: 'Company name'
    columns:
        - name

App\Entity\Security\Configuration:
    dataTable: true
    translations:
        singular:
            fr: "Configuration des utilisateurs"
            en: 'Users configuration'

App\Entity\Security\Group:
    dataTable: true
    translations:
        singular:
            fr: "Groupe d'utilisateurs"
            en: 'User group'
        plural:
            fr: "Groupes d'utilisateurs"
            en: 'Users groups'
        add:
            fr: 'Ajouter un groupe'
            en: 'Add group'

App\Entity\Security\Role:
    dataTable: true
    translations:
        singular:
            fr: "Rôle d'utilisateurs"
            en: 'User role'
        plural:
            fr: "Rôles d'utilisateurs"
            en: 'Users roles'
        add:
            fr: 'Ajouter un role'
            en: 'Add role'

App\Entity\Security\User:
    dataTable: true
    translations:
        singular:
            fr: 'Utilisateur'
            en: 'User'
        plural:
            fr: 'Utilisateurs'
            en: 'Users'
        add:
            fr: 'Ajouter un utilisateur'
            en: 'Add user'
        login:
            fr: Identifiant
            en: Login
        email:
            fr: Email
            en: Email
        roles:
            fr: Roles
            en: Roles
        firstname:
            fr: Prénom
            en: Lirstname
        lastname:
            fr: Nom
            en: Name
        agreeTerms:
            fr: A accépté les conditions générales
            en: Accepted general conditions
        agreesTermsAt:
            fr: Conditions générales accéptées le
            en: General conditions accepted at
        lastLogin:
            fr: Dernière connexion le
            en: Last login at
        locale:
            fr: Langue
            en: Language
        active:
            fr: Activé
            en: Active
    searchFields:
        - login
    columns:
        - login
        - infos
        - active
    show:
        - login
        - email
        - roles
        - firstname
        - lastname
        - agreeTerms
        - agreesTermsAt
        - lastLogin
        - locale

App\Entity\Security\UserFront:
    dataTable: true
    translations:
        singular:
            fr: 'Utilisateur (Front)'
            en: 'User (Front)'
        plural:
            fr: 'Utilisateurs (Front)'
            en: 'Users (Front)'
        add:
            fr: 'Ajouter un utilisateur'
            en: 'Add user'
        login:
            fr: Identifiant
            en: Login
        email:
            fr: Email
            en: Email
        roles:
            fr: Roles
            en: Roles
        firstname:
            fr: Prénom
            en: Lirstname
        lastname:
            fr: Nom
            en: Name
        agreeTerms:
            fr: A accépté les conditions générales
            en: Accepted general conditions
        agreesTermsAt:
            fr: Conditions générales accéptées le
            en: General conditions accepted at
        lastLogin:
            fr: Dernière connexion le
            en: Last login at
        locale:
            fr: Langue
            en: Language
        active:
            fr: Activé
            en: Active
    searchFields:
        - login
    columns:
        - login
        - infos
        - active
    show:
        - login
        - email
        - roles
        - firstname
        - lastname
        - agreeTerms
        - agreesTermsAt
        - lastLogin
        - locale